import { addFilter } from '@wordpress/hooks';
import * as darkMode from './block/wrapper/dark-mode';

addFilter( 'grimlock.blocks.wrapper.inspectorControls', 'grimlock-dark-mode/dark-mode-inspector-controls', ( inspectorControls ) => ( {
	...inspectorControls,
	...darkMode.inspectorControls,
} ) );

addFilter( 'grimlock.blocks.wrapper.blockProps', 'grimlock-dark-mode/dark-mode-block-props', ( blockProps, attributes ) => ( {
	...darkMode.getBlockProps( blockProps, attributes ),
} ) );
